cgIsParameterGlobal(3)

NAME
cgIsParameterGlobal - determine if a parameter is global

SYNOPSIS
  #include <Cg/cg.h>
  CGbool cgIsParameterGlobal( CGparameter param );

PARAMETERS

param
    The parameter handle to check.

RETURN VALUES
Returns CG_TRUE if param is global.

Returns CG_FALSE otherwise.

DESCRIPTION
cgIsParameterGlobal returns CG_TRUE if param is a global parameter and CG_FALSE otherwise.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

HISTORY
cgIsParameterGlobal was introduced in Cg 1.2.

SEE ALSO
cgCreateParameter, cgIsParameter, cgIsParameterReferenced, cgIsParameterUsed